<script lang="ts">
  import type { PokemonData } from '$lib/index';

  export let pokemonData: PokemonData;

  $: ({ name, sprite } = pokemonData);
</script>

<h1>{name}</h1>
{#if sprite}
  <img src={sprite} alt="Pokemon Sprite" />
{/if}

<style>
  img {
    width: 4ex;
    height: 4ex;
    border-radius: 50%;
    margin: 5pt;
    vertical-align: middle;
  }
</style>
